1. Crypto Withdrawal
v2.1 (Production)
  • v2.1 (Production)
  • v2.1 (Sandbox)
  • v2.0 (Sandbox)
  • v1.0 (Deprecated)
  • v2.1
    • Getting Started
    • Account Setup
    • Idempotent Requests
    • Webhook
    • API Error Handling Guide
    • Changelog 20260408
    • Authentication
      • Create Token
    • Account Management
      • Get Balance
      • Internal Transfer
      • Get Internal Transfer
    • Merchant Management
      • Create Merchant
      • Get Merchant
      • Merchant Status Webhook
    • Fiat Payment
      • Fiat Deposit
        • Get Deposit Bank Account
        • Get Fiat Deposit Detail
        • Get Fiat Deposit History
        • Fiat Deposit Webhook
      • Fiat Account Management
        • Get Fiat Account Capabilities
        • Create Fiat Account Request
        • Submit Additional Information for Fiat Account Request
        • Get Fiat Account Application Status
        • Get Bank Accounts
        • Add Bank Account
        • Fiat Account Request Status Webhook
      • Fiat Withdrawal
        • Get Same Name Withdrawal Capabilities
        • Activate Same Name Withdrawal
        • Submit Additional Information for Activating Same Name Withdrawal
        • Activate Same Name Withdrawal Webhook
        • Create Fiat Withdrawal
        • Submit Additional Information for Fiat Withdrawal Request
        • Get Fiat Withdrawal Detail
        • Get Fiat Withdrawal History
        • Fiat Withdrawal Webhook
    • Crypto Payment
      • Crypto Deposit
        • Update Crypto Deposit Travel Rule Info
        • Get Crypto Deposit Wallet
        • Get Crypto Deposit
        • Get Crypto Deposit History
        • Crypto Deposit Webhook
      • Crypto Withdrawal
        • Register Wallet Address
          POST
        • Remove Wallet Address
          POST
        • Create Crypto Withdrawal
          POST
        • Get Wallet Address
          GET
        • Get Crypto Withdrawal
          GET
        • Get Crypto Withdrawal History
          GET
        • Crypto Withdrawal Webhook
      • Crypto Checkout
        • Create Crypto Checkout
        • Create Crypto Checkout Link
        • Crypto Checkout Wallet Connection
        • Generate POS Payment Request
        • Close Crypto Checkout
        • Get Convertible Cryptos
        • Get Supported Blockchains
        • Get Crypto Checkout
        • Get Crypto Checkout Link
        • Get Crypto Checkout Currencies
        • Crypto Checkout Webhook
      • Crypto Collection
        • Buyer Management
          • Create Buyer
          • Get Buyer
          • Update Buyer
          • Buyer Status Webhook
        • Create Collection Wallet
        • Update Collection Wallet
        • Get Collection Wallet
        • Get Crypto Collection
        • Update Co-KYT status
        • Crypto Collection Wallet Webhook
        • Crypto Collection Webhook
      • Crypto Refund
        • Create Crypto Refund
        • Confirm Crypto Refund
        • Get Crypto Refund
        • Crypto Refund Webhook
    • Conversion
      • Create Quotation
      • Create Conversion
      • Get Quotation
      • Get Conversion
      • Conversion Webhook
    • Tool
      • Upload File
      • getTnC
  1. Crypto Withdrawal

Create Crypto Withdrawal

POST
/v2.0/payment/crypto/createCryptoWithdrawal
API Overview
ItemValue
API StatusStable
Current Versionv2.0
Backward CompatibilityYes
Applicable EnvironmentProduction
Applicable User RolesPSP and Direct Client

Description
Create Crypto Withdrawal Request

Request

Authorization
Body Params application/json

Example
{
    "participantCode": "B0100106",
    "currency": "USD",
    "amount": "420.45",
    "beneficiaryWalletLabel": "Ethereum Deposit Wallet",
    "purposeOfPayment": 7,
    "otherPurpose": "Cross-border trading settlement",
    "relationshipWithThirdParty": 8,
    "otherRelationship": "Business Partner",
    "fileProofOfTransfer": "550e8400-e29b-41d4-a716-446655440000",
    "fileIDOrPassport": "660e8400-e29b-41d4-a716-446655440001",
    "filePurposeOfRecurring": "770e8400-e29b-41d4-a716-446655440002"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/v2.0/payment/crypto/createCryptoWithdrawal' \
--header 'Content-Type: application/json' \
--data-raw '{
    "participantCode": "B0100106",
    "currency": "USD",
    "amount": "420.45",
    "beneficiaryWalletLabel": "Ethereum Deposit Wallet",
    "purposeOfPayment": 7,
    "otherPurpose": "Cross-border trading settlement",
    "relationshipWithThirdParty": 8,
    "otherRelationship": "Business Partner",
    "fileProofOfTransfer": "550e8400-e29b-41d4-a716-446655440000",
    "fileIDOrPassport": "660e8400-e29b-41d4-a716-446655440001",
    "filePurposeOfRecurring": "770e8400-e29b-41d4-a716-446655440002"
}'

Responses

🟢200Success
application/json
Body

Example
{
    "code": 200,
    "msg": "success",
    "data": {
        "cryptoWithdrawalId": "WD2026041514300001",
        "participantCode": "B0100106",
        "withdrawalType": 2,
        "currency": "ETH",
        "feeCurrency": "ETH",
        "amount": "476.39",
        "feeAmount": "12.50",
        "beneficiaryWallet": {
            "label": "External Trading Wallet",
            "description": "Recipient's ETH wallet for receiving funds",
            "blockchain": "ETH",
            "walletAddress": "0xAb5801a7D398351b8bE11C439e05C5B3259aeC9B",
            "walletType": 1,
            "platformName": "Binance",
            "platformUserId": "user_binance_12345",
            "ownerInfo": {
                "ownerType": 1,
                "details": {
                    "corporateName": "TechGlobal Inc.",
                    "businessRegistrationNumber": "REG987654321",
                    "dateOfIncorporation": "2015-03-10",
                    "registeredOrBusinessAddress": {
                        "country": "US",
                        "state": "Wisconsin",
                        "city": "Milwaukee",
                        "postcode": "53202",
                        "addressLine1": "100 East Wisconsin Avenue",
                        "addressLine2": "Suite 200"
                    }
                }
            }
        },
        "kytInfo": {
            "kytType": 1,
            "kytResult": 2,
            "kytDetails": "Low risk"
        },
        "txHash": "0x8a7b1c3d5e9f2a4b6c8d0e1f2a3b4c5d6e7f8a9b0c1d2e3f4a5b6c7d8e9f0a1b2c",
        "purposeOfPayment": 1,
        "otherPurpose": "Cross-border settlement",
        "relationshipWithThirdParty": 8,
        "otherRelationship": "Business Partner",
        "fileProofOfTransfer": "550e8400-e29b-41d4-a716-446655440000",
        "fileIDOrPassport": "660e8400-e29b-41d4-a716-446655440001",
        "filePurposeOfRecurring": "770e8400-e29b-41d4-a716-446655440002",
        "status": 2,
        "statusInfo": "PROCESSING",
        "updatedAt": 1776132908000,
        "createdAt": 1776046508000
    }
}
Modified at 2026-04-15 03:56:48
Previous
Remove Wallet Address
Next
Get Wallet Address
Built with